/// <reference types="@map-component/tmap-types" />
import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        default: string;
    };
    visible: {
        type: BooleanConstructor;
        required: true;
    };
    position: {
        type: PropType<TMap.LatLngData>;
        required: true;
    };
    content: {
        type: StringConstructor;
        required: true;
    };
    zIndex: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    offset: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            x: number;
            y: number;
        };
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "close-click"[], "close-click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        default: string;
    };
    visible: {
        type: BooleanConstructor;
        required: true;
    };
    position: {
        type: PropType<TMap.LatLngData>;
        required: true;
    };
    content: {
        type: StringConstructor;
        required: true;
    };
    zIndex: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    offset: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            x: number;
            y: number;
        };
    };
}>> & {
    "onClose-click"?: ((...args: any[]) => any) | undefined;
}, {
    offset: Record<string, any>;
    id: string;
    zIndex: number;
}>;
export default _default;
