function keyBy(collection, iteratee) {
    return collection.reduce((result, value) => {
        const key = value[iteratee];
        // eslint-disable-next-line no-param-reassign
        result[key] = value;
        return result;
    }, {});
}
export default keyBy;
//# sourceMappingURL=keyBy.js.map